Bug 1192676 - [abrt] kf5-kded: KCrash::defaultCrashHandler(): kded5 killed by SIGSEGV
Summary: [abrt] kf5-kded: KCrash::defaultCrashHandler(): kded5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kded
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d2fe4fdf6992bd843867283f3f0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-14 03:09 UTC by Ernesto Manríquez
Modified: 2015-12-02 17:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:02:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.76 KB, text/plain)
2015-02-14 03:09 UTC, Ernesto Manríquez
no flags Details
File: cgroup (190 bytes, text/plain)
2015-02-14 03:09 UTC, Ernesto Manríquez
no flags Details
File: core_backtrace (20.35 KB, text/plain)
2015-02-14 03:09 UTC, Ernesto Manríquez
no flags Details
File: dso_list (29.89 KB, text/plain)
2015-02-14 03:09 UTC, Ernesto Manríquez
no flags Details
File: environ (1.72 KB, text/plain)
2015-02-14 03:09 UTC, Ernesto Manríquez
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-14 03:09 UTC, Ernesto Manríquez
no flags Details
File: maps (123.74 KB, text/plain)
2015-02-14 03:10 UTC, Ernesto Manríquez
no flags Details
File: open_fds (184 bytes, text/plain)
2015-02-14 03:10 UTC, Ernesto Manríquez
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2015-02-14 03:10 UTC, Ernesto Manríquez
no flags Details
File: var_log_messages (27.26 KB, text/plain)
2015-02-14 03:10 UTC, Ernesto Manríquez
no flags Details

Description Ernesto Manríquez 2015-02-14 03:09:47 UTC
Description of problem:
These problems happen when I use kded5 in tandem with ktp. Please, keep in mind I'm using unofficial repos (dvratil's ktp, plasma-5), so this report should be taken with a grain of salt.

Version-Release number of selected component:
kf5-kded-5.6.0-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/kded5
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kded5
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:409
 #3 KNotification::id at ../../src/knotification.cpp:392
 #4 notifyPluginFinished at ../../src/knotificationmanager.cpp:108
 #5 KNotificationManager::qt_static_metacall at ./moc_knotificationmanager_p.cpp:83
 #6 QMetaObject::activate at kernel/qobject.cpp:3716
 #8 KNotificationPlugin::finished at moc_knotificationplugin.cpp:139
 #9 NotifyByPopup::onGalagoNotificationClosed at ../../src/notifybypopup.cpp:456
 #10 qt_static_metacall at moc_notifybypopup.cpp:104
 #11 NotifyByPopup::qt_metacall at moc_notifybypopup.cpp:138
 #12 QDBusConnectionPrivate::deliverCall at qdbusintegrator.cpp:990

Comment 1 Ernesto Manríquez 2015-02-14 03:09:51 UTC
Created attachment 991628 [details]
File: backtrace

Comment 2 Ernesto Manríquez 2015-02-14 03:09:52 UTC
Created attachment 991629 [details]
File: cgroup

Comment 3 Ernesto Manríquez 2015-02-14 03:09:54 UTC
Created attachment 991630 [details]
File: core_backtrace

Comment 4 Ernesto Manríquez 2015-02-14 03:09:55 UTC
Created attachment 991631 [details]
File: dso_list

Comment 5 Ernesto Manríquez 2015-02-14 03:09:56 UTC
Created attachment 991632 [details]
File: environ

Comment 6 Ernesto Manríquez 2015-02-14 03:09:58 UTC
Created attachment 991633 [details]
File: limits

Comment 7 Ernesto Manríquez 2015-02-14 03:10:00 UTC
Created attachment 991634 [details]
File: maps

Comment 8 Ernesto Manríquez 2015-02-14 03:10:01 UTC
Created attachment 991635 [details]
File: open_fds

Comment 9 Ernesto Manríquez 2015-02-14 03:10:02 UTC
Created attachment 991636 [details]
File: proc_pid_status

Comment 10 Ernesto Manríquez 2015-02-14 03:10:04 UTC
Created attachment 991637 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 09:53:33 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 09:02:57 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.